Index: calc.c
--- calc.c.orig	1996-04-23 19:40:09 +0200
+++ calc.c	2004-07-15 09:44:08 +0200
@@ -67,8 +67,6 @@
 #if NEED_ALLOCA_H
 #include <alloca.h>
 #endif
-#else
-char *alloca();
 #endif
 
 #include "tio.h"
Index: commands.c
--- commands.c.orig	1996-04-23 19:40:09 +0200
+++ commands.c	2004-07-15 09:44:37 +0200
@@ -57,8 +57,6 @@
 #if NEED_ALLOCA_H
 #include <alloca.h>
 #endif
-#else
-char *alloca();
 #endif
 
 #include "hexer.h"
@@ -1246,8 +1244,10 @@
   int cant_write_f = 0;
   long k;
   char *errormsg;
+#if !defined(BSD)
   extern int sys_nerr;
-#ifndef BSD
+#endif
+#if !defined(BSD) && !defined(__linux__)
   extern char *sys_errlist[];
 #endif
   extern int errno;
@@ -1267,7 +1267,7 @@
           if (!errno || errno >= sys_nerr)
             errormsg = "unknown error";
           else
-            errormsg = sys_errlist[errno];
+            errormsg = (char *)sys_errlist[errno];
           he_message(0, "@Aberror writing file@~ `%s': %s", i->path, errormsg);
           cant_write_f = 1;
         } else {
Index: exh.c
--- exh.c.orig	1996-04-23 19:40:08 +0200
+++ exh.c	2004-07-15 09:43:42 +0200
@@ -61,8 +61,6 @@
 #if NEED_ALLOCA_H
 #include <alloca.h>
 #endif
-#else
-char *alloca();
 #endif
 
 #include "hexer.h"
Index: hexer.c
--- hexer.c.orig	1996-04-23 19:40:08 +0200
+++ hexer.c	2004-07-15 09:42:51 +0200
@@ -67,10 +67,12 @@
 
 extern int errno;
 
-#ifndef BSD
+#if !defined(BSD) && !defined(__linux__)
 extern char *sys_errlist[];
 #endif
+#if !defined(BSD)
 extern int sys_nerr;
+#endif
 extern mkstemp();
 
 const struct buffer_s NO_BUFFER = { 0, 0, 0, 0, 0, 0 };
Index: map.c
--- map.c.orig	1996-04-23 19:40:09 +0200
+++ map.c	2004-07-15 09:43:51 +0200
@@ -53,8 +53,6 @@
 #if NEED_ALLOCA_H
 #include <alloca.h>
 #endif
-#else
-char *alloca();
 #endif
 
 #include "defs.h"
